Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157795 - useradd hangs when adding user if duplicate groups present
Summary: useradd hangs when adding user if duplicate groups present
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: shadow-utils
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-15 20:39 UTC by P Fudd
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-16 11:08:31 UTC


Attachments (Terms of Use)

Description P Fudd 2005-05-15 20:39:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20040922

Description of problem:
useradd goes into an infinite loop if you try to add someone to a supplemental group that appears twice in the group file.

Version-Release number of selected component (if applicable):
shadow-utils-4.0.3-37

How reproducible:
Always

Steps to Reproduce:
1. echo dupgroup:x:505: >> /etc/group
2. echo dupgroup:x:506: >> /etc/group
3. /usr/bin/seuseradd -G dupgroup someuser
 

Actual Results:  Stuck in infinite loop, syslog messages being generated rapidly.

Expected Results:  Either quit with error message or add to the first group.

Additional info:

This bug report is the product of a painful elimination process.

Comment 1 Peter Vrabec 2005-05-16 11:08:31 UTC
it's already fixed in devel


Note You need to log in before you can comment on or make changes to this bug.